# $Revision: 1.11 $, $Date: 2010/01/14 21:50:02 $
Summary:	Open audio compression codec
Summary(pl.UTF-8):	Otwarty kodek kompresji dźwięku
Name:		wavpack
Version:	4.60.1
Release:	1
License:	BSD
Group:		Libraries
Source0:	http://www.wavpack.com/%{name}-%{version}.tar.bz2
# Source0-md5:	7bb1528f910e4d0003426c02db856063
URL:		http://www.wavpack.com/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
Requires:	%{name}-libs = %{version}-%{release}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
WavPack is a completely open audio compression format providing
lossless, high-quality lossy, and a unique hybrid compression mode.

Although the technology is loosely based on previous versions of
WavPack, the new version 4 format has been designed from the ground up
to offer unparalleled performance and functionality. In the default
lossless mode WavPack acts just like a WinZip compressor for audio
files. However, unlike MP3 or WMA encoding which can affect the sound
quality, not a single bit of the original information is lost, so
there's no chance of degradation. This makes lossless mode ideal for
archiving audio material or any other situation where quality is
paramount. The compression ratio depends on the source material, but
generally is between 30% and 70%.

The hybrid mode provides all the advantages of lossless compression
with an additional bonus. Instead of creating a single file, this mode
creates both a relatively small, high-quality lossy file that can be
used all by itself, and a "correction" file that (when combined with
the lossy file) provides full lossless restoration. For some users
this means never having to choose between lossless and lossy
compression!

%description -l pl.UTF-8
WavPack to całkowicie otwarty format kompresji dźwięku dostarczający
tryby kompresji: bezstratny, stratny wysokiej jakości oraz unikalny
hybrydowy.

Chociaż technologia jest luźno oparta na poprzednich wersjach
WavPacka, format nowej wersji 4 został zaprojektowany od nowa, aby
zaoferować niezrównaną wydajność i funkcjonalność. W domyślnym trybie
bezstratnym WavPack zachowuje się tak jak kompresor WinZip dla plików
dźwiękowych. Jednak w przeciwieństwie do kodowań MP3 czy WMA, które
wpływają na jakość dźwięku, żaden bit oryginalnej informacji nie jest
tracony, więc nie ma żadnych szans na degradację. Czyni to tryb
bezstratny idealnym do archiwizowania materiałów dźwiękowych oraz w
innych sytuacjach, gdzie jakość jest najważniejsza. Współczynnik
kompresji zależy od materiału źródłowego, ale zwykle jest pomiędzy
30% a 70%.

Tryb hybrydowy udostępnia wszystkie zalety kompresji bezstratnej z
dodatkowym ulepszeniem. Zamiast tworzenia pojedynczego pliku tryb ten
tworzy zarówno stosunkowo mały, wysokiej jakości plik stratny, który
może być używany jako taki oraz plik "poprawek", który (w połączeniu z
plikiem stratnym) odtwarza pełną jakość bez strat. Dla niektórych
użytkowników oznacza to, że nie muszą wybierać pomiędzy kompresją
bezstratną a stratną.

%package libs
Summary:	Wavpack library
Summary(pl.UTF-8):	Biblioteka Wavpack
Group:		Libraries
Requires:	%{name}-libs = %{version}-%{release}

%description libs
Wavpack library.

%description libs -l pl.UTF-8
Biblioteka Wavpack.

%package devel
Summary:	Header files for Wavpack
Summary(pl.UTF-8):	Pliki nagłówkowe Wavpack
Group:		Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}

%description devel
Header files for Wavpack.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki Wavpack.

%package static
Summary:	Static Wavpack library
Summary(pl.UTF-8):	Statyczna biblioteka Wavpack
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static Wavpack library.

%description static -l pl.UTF-8
Statyczna biblioteka Wavpack.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc ChangeLog README license.txt
%attr(755,root,root) %{_bindir}/wavpack
%attr(755,root,root) %{_bindir}/wvgain
%attr(755,root,root) %{_bindir}/wvunpack
%{_mandir}/man1/wavpack.1*
%{_mandir}/man1/wvgain.1*
%{_mandir}/man1/wvunpack.1*

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libwavpack.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libwavpack.so.1

%files devel
%defattr(644,root,root,755)
%doc doc/{file_format,library_use}.txt
%attr(755,root,root) %{_libdir}/libwavpack.so
%{_libdir}/libwavpack.la
%{_includedir}/wavpack
%{_pkgconfigdir}/wavpack.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libwavpack.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: wavpack.spec,v $
Revision 1.11  2010/01/14 21:50:02  megabajt
- updated to 4.60.1
- fixed License (BSD)

Revision 1.10  2007/09/05 13:42:58  baggins
- rel 2

Revision 1.9  2007/07/25 12:46:13  hawk
- updated to 4.41

Revision 1.8  2007/02/12 22:09:20  glen
- tabs in preamble

Revision 1.7  2007/02/12 01:06:36  baggins
- converted to UTF-8

Revision 1.6  2006/12/22 18:55:59  megabajt
- up to 4.40.0

Revision 1.5  2006/05/25 07:32:48  blaass
- up to 4.32, rel 3

Revision 1.4  2006/02/22 18:21:57  freetz
- rel.2 for th

Revision 1.3  2005/07/16 07:56:05  qboosh
- pl for base

Revision 1.2  2005/07/14 09:49:17  freetz
- typo

Revision 1.1  2005/07/14 09:42:45  freetz
- initial
